%global forgeurl https://github.com/jrmadsen/PTL
Version:        2.3.3
%global date 20230707
%global commit f892a93d79615ed8f51c1b9c71f0f7b771dd8223
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           ptl
Release:    2%{?dist}
Summary:        Lightweight C++11 mutilthreading tasking system
License:        MIT
URL:            %{forgeurl}
#Source0:        %{forgesource}
Source0:        PTL-f892a93d79615ed8f51c1b9c71f0f7b771dd8223.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  tbb-devel

%description
Parallel Tasking Library (PTL) is a lightweight C++11 multithreading tasking
system featuring thread-pool, task-groups, and lock-free task queue.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1 -n PTL-f892a93d79615ed8f51c1b9c71f0f7b771dd8223

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_STATIC_LIBS=OFF \
    -DPTL_USE_TBB=ON \

%cmake_build

%install
%cmake_install

%check

%files
%license LICENSE
%doc README.md
%{_libdir}/libptl.so.3*

%files devel
%{_libdir}/libptl.so
%{_includedir}/PTL/
%{_libdir}/cmake/PTL/
%{_libdir}/pkgconfig/ptl.pc

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.3.3-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-1
- initial build
